Class | Needle::Lifecycle::Initialize
In: | lib/needle/lifecycle/initialize.rb
Parent: | Needle::Pipeline::Element

The instantiation pipeline element that implements calling a separate initialization method on the instantiated service. This should always be placed in the pipeline as close to the service implementation as possible (hence, the low default priority).

### Methods

call initialize_element

### Public Instance methods

call( *args )

Invokes the next element of the chain. If the result responds to the requested initialization method, that method is invoked on the result, and the result is returned.

initialize_element()

Initialize the element. Looks at the options hash to determine the name of the initialization method to call, defaulting to `:initialize_service`.

[Validate]